Send Event
curl --request POST \
--url https://events.extole.io/v6/events/{event_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"container": "<string>",
"email": "<string>",
"person_id": "<string>"
}
'import requests
url = "https://events.extole.io/v6/events/{event_name}"
payload = {
"container": "<string>",
"email": "<string>",
"person_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({container: '<string>', email: '<string>', person_id: '<string>'})
};
fetch('https://events.extole.io/v6/events/{event_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://events.extole.io/v6/events/{event_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'container' => '<string>',
'email' => '<string>',
'person_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://events.extole.io/v6/events/{event_name}"
payload := strings.NewReader("{\n \"container\": \"<string>\",\n \"email\": \"<string>\",\n \"person_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://events.extole.io/v6/events/{event_name}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"container\": \"<string>\",\n \"email\": \"<string>\",\n \"person_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://events.extole.io/v6/events/{event_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"container\": \"<string>\",\n \"email\": \"<string>\",\n \"person_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"event_id": "<string>",
"person_id": "<string>"
}Job Event
Send Event
Triggers this event for one person. It is a real event: campaigns that listen for it can issue rewards and send emails.
POST
https://events.extole.io
/
v6
/
events
/
{event_name}
Send Event
curl --request POST \
--url https://events.extole.io/v6/events/{event_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"container": "<string>",
"email": "<string>",
"person_id": "<string>"
}
'import requests
url = "https://events.extole.io/v6/events/{event_name}"
payload = {
"container": "<string>",
"email": "<string>",
"person_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({container: '<string>', email: '<string>', person_id: '<string>'})
};
fetch('https://events.extole.io/v6/events/{event_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://events.extole.io/v6/events/{event_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'container' => '<string>',
'email' => '<string>',
'person_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://events.extole.io/v6/events/{event_name}"
payload := strings.NewReader("{\n \"container\": \"<string>\",\n \"email\": \"<string>\",\n \"person_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://events.extole.io/v6/events/{event_name}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"container\": \"<string>\",\n \"email\": \"<string>\",\n \"person_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://events.extole.io/v6/events/{event_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"container\": \"<string>\",\n \"email\": \"<string>\",\n \"person_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"event_id": "<string>",
"person_id": "<string>"
}Authorizations
CLIENT_AUTH_HEADERCLIENT_AUTH_QUERY_PARAM
A client access token, issued to your Extole account and used from your own backend. Never send a client token from a consumer device.
Path Parameters
The event this trigger event listens for.
Available options:
event Body
application/json
To name the person, send person_id or email.
Container the event goes to, for example test to keep it out of analytics. Without it, a request from your backend goes to production.
The email of the person the event is for. It is the identity key of the client.
Extole person the event is for, when you have the id.
Was this page helpful?
